Support » Plugin: Disable Gutenberg » 5.5 Unable to Edit

  • Resolved PierM

    (@pierm)


    When I try to edit this page: [ redundant link removed ]

    More specifically:

    ….wp-admin/post.php?post=21218&action=edit&classic-editor

      I am unable to click on any of my editing tools.

    After updating to 5.5 I saw the problem above and saw I disabled one by one all of my 13 active plugins and the one that seemed NOT to create such an issue was the Disable Gutenberg.

    I will be glad to give you more information if you need it.
    Thank you!

    • This topic was modified 3 months, 2 weeks ago by Jan Dembowski.

    The page I need help with: [log in to see the link]

Viewing 15 replies - 1 through 15 (of 15 total)
  • Plugin Author Jeff Starr

    (@specialk)

    Yeah this has been reported numerous times. The issue is not with DG but with the WP 5.5 update. To help address the issue, the WP team pushed out this free plugin:

    https://wordpress.org/plugins/enable-jquery-migrate-helper/

    So far it has worked in every case that I have seen.

    Thank you so much.
    I just downloaded and installed that jquery plugin and received this message.

    This page generated the following warnings:
    http://piermarton.info/wp-content/themes/Flexible/includes/page_templates/js/et-ptemplates.js: jQuery.fn.live() is deprecated

    I will check all of my plugins but I think that they are all up to date.

    Again, thank you.

    Plugin Author Jeff Starr

    (@specialk)

    Yeah notice the path in that message, it includes the name of your theme, “Flexible”. That’s the source of the error, best advice is to contact your theme developer who will best be able to help resolve any issue.

    Thank you.
    Theme developer dropped that theme… I am on my own now without the resources (on many levels).
    No idea whether this is the kind of issue that someone can help me resolve without spending $$.
    Again thank you.

    Plugin Author Jeff Starr

    (@specialk)

    Yeah I’m not sure. I wish I could help but my schedule is very full.

    Thank you.
    Maybe another “good soul” (with a little extra time) will see this, and possibly we can exchange some services?? I am more on the visual side of things (fix old photographs, etc…).

    Plugin Author Jeff Starr

    (@specialk)

    It’s worth a shot. Will leave this thread open for awhile hopefully someone will see it and have time to help. Also maybe you can find a “free help” forum somewhere, lots of resources out there for getting help. Just ideas, good luck.

    • This reply was modified 3 months, 2 weeks ago by Jeff Starr. Reason: typo

    You should be able to replace the live() function with the on() function and the error should go away. Since the theme is no longer being updated, you don’t have to worry about editing a core file to fix it.

    Just go to that file and change this:
    $ptemplate_select.live('change',function(){

    to:
    $ptemplate_select.on('change',function(){

    and see if that fixes your issue.

    Plugin Author Jeff Starr

    (@specialk)

    @pierm, just wanted to follow up with this. It’s been awhile with no reply, so I hope the issue has been resolved?

    PierM

    (@pierm)

    Angels do appear here! Thank you to both of you. I had trouble just getting back into this thread…

    No Jeff, nothing has changed.

    I would gladly follow Greek Goddess’s advice but I don’t know which file I need to edit!
    Shows you my level. Editing I can do with TextEdit or some other software but I don’t know WHERE to find the relevant file. I have some FTP software…
    And it shows you that some babies do crawl on these pages. I guess I know other things…
    THANK YOU! – and for any other pointers.
    [I probably should see whether there is a way (for not too much $) I could get someone to transform my theme into a Divi theme – which I assume would be the way for my site not to break down with all of the various updates. But what do I know?!]

    • This reply was modified 3 months ago by PierM.
    • This reply was modified 3 months ago by PierM.
    Plugin Author Jeff Starr

    (@specialk)

    You are very welcome. Sorry to hear that you’re still struggling. And as you suggest, instead of waiting for more help here in the forums, you might want to rent a developer at one of those sites like fiverr. You can usually find someone to help get it done quickly for not very much $$$.

    Either way, I’ll go ahead and leave this thread open a while longer, just in case anyone else has some ideas for you.

    PierM

    (@pierm)

    Thank you for your kindness in keeping this thread open!
    I made a note of fiverr – thank you!
    I am that kind of grateful WP user that hopes to be able to skate longer on the thin ice (without having to deal with too much code).

    Plugin Author Jeff Starr

    (@specialk)

    Hey @pierm, did you get this sorted or still waiting for someone to help you?

    Thank you, Jeff and sorry for my delayed response. I think I will be fine.
    On one hand I am now learning how to interact with Fiverr – I am now trying to convert my theme to Divi – but Elegant Themes, the company behind one of the many themes I use sent me the following message:

    In WordPress 5.5 jQuery Migrate is removed and this is causing an issue with all our legacy products.
    Please download this plugin:
    Enable jQuery Migrate Helper (preferred)
    https://wordpress.org/plugins/enable-jquery-migrate-helper/

    Thank you so much for your patience. Wishing you all the best!

    Plugin Author Jeff Starr

    (@specialk)

    Alright sounds good. I’ll go ahead and mark this as resolved for now. Feel free to post again anytime with questions, feedback, etc. Glad to help anytime.

Viewing 15 replies - 1 through 15 (of 15 total)
  • You must be logged in to reply to this topic.